/*头部样式*/
.top-container{
    width: 100%;
    height: auto !important;
    position: relative;
}
.banner-title{
    position: absolute;
    top: 42%;
    /*left: 45%;*/
    text-align: center;
    width: 100%;
}
.container{
    padding: 1rem 0;
    background-color: #f8f8f8;
}
.container-title{
    text-align: center;
    font-family: BigCaslon, sans-serif;
    font-size: 0.48rem;
    color: #2a2623;
}
.container-select-title{
    font-family: BigCaslon, sans-serif;
    font-size: 0.16rem;
    color: #2a2623;
    width: auto !important;
}
.container-select-select{
    font-family: SukhumvitSet-Light, sans-serif !important;
    font-size: 0.16rem;
}
.container-content-item{
    display: flex;

}
.container-content{
    padding: 0.5rem 0;
}
.container-content-btn{
    color: #fff !important;
    background-color: #2a2623 !important;
    width: 2.3rem;
    height: 0.5rem;
    border:none;
}
.container-content-btn:hover{border-color:transparent;}
.collections{
    padding: 1rem 0;
}
.collections-title{
    font-family: BigCaslon, sans-serif;
    text-align: center;
    padding-bottom: 0.5rem;
}
.collections-title-a{
    color: #999999;
    font-size: 0.18rem;
}
.collections-title-b{
    color: #2a2623;
    font-size: 0.48rem;
}

.collections-item-img{
    height: 5.4rem;
    position: relative;
    display: inline-block;
    overflow: hidden;       /* 关键！超出部分隐藏 -> 放大的图片被裁剪在框内 */
}
.collections-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease; /* 缓慢放大效果 */
}

.collections-item-img:hover .collections-img {
    transform: scale(1.08);
}

.collections-img-list{
    display: flex;
    flex-wrap: wrap;
}

.collections-item {
    /*flex: 1 0 30%; !* 每行3个元素，每个元素占30%的宽度 *!*/
    box-sizing: border-box; /* 确保padding和border不影响宽度 */
    padding-bottom:0.4rem;
    width: calc(100% / 3 - .14rem);
    margin-right: .21rem;
}
.collections-item:nth-child(3n){margin-right: 0;}
.container-content-title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 0.3rem;
}
.container-content-title-b{
    display: grid;
    font-family: SukhumvitSet-Light, sans-serif !important;
    font-size: 0.14rem;
    color: #999999;

}
.collections-item-content{

}
.container-content-title-a{
    font-family: BigCaslon, sans-serif;
    font-size: 0.2rem;
    color: #2a2623;
}
.load{
    background-color: #f8f8f8;
    position: absolute;
    left: 50%;
    padding: 0.1rem;
}
.like-btn img{width: 0.19rem;}
.choose{max-width: 14rem;}


.orientation-input{
    width: 2.3rem;
    height: 0.5rem;
    border: 1px solid #eee ; 
    background-color: #fff;
    display: flex;
    align-items:center;
}

.orientation-img{
   max-width:0.25rem;
   max-height:0.25rem;
   margin-left:0.1rem
}

.orientation-ul{
   display:flex;
   padding:.1rem;
}
.orientation-div{
    display:flex;
    align-items:center;
    height:.3rem;
    width:.3rem;
    justify-content:center;
    margin-right:.1rem
}
.orientation-li{
    max-width:100%;
    max-height:100%
}

.orientation-list{
    /*background-color:#fff;*/
    /*position: absolute;*/
    /*z-index: 999;*/
    display: flex;
    align-items: center;
}

.orientation-on{
    background-color: #000;
}

.colour-on::after{
    content: "✓";
      color: #fff;
      font-size: 14px;
      position: absolute;
      left: 4px; top: 50%;
      transform: translateY(-50%);
}
.colour-div{
    flex-wrap: wrap;
    width: 2.4rem;
    gap: 0.15rem;
    /*padding: 0.2rem .25rem;*/
    /*position: absolute;*/
    /*background-color:#fff;*/
}
.colour-a{
    width: 0.25rem;
    height: 0.25rem;
    border-radius:25px;
    position:relative;
}
.moreP{
    width: 2rem;
    height: 0.5rem;
    /*background-color: #f8f8f8;*/
    text-align: center;
    line-height: 0.5rem;
    border: 1px solid #ccc; 
    position: relative;
    left: 42%;
    cursor: pointer;
    font-family: BigCaslon, sans-serif;
    letter-spacing: 1px;
    transition: background-color 0.5s ease; /* 平滑过渡效果 */
}
.moreP a{
    color: #000;
    transition: color 0.5s ease; /* 平滑过渡效果 */
}

.moreP:hover{
    background-color:#a9543f;
    border: 0; 
}
.moreP a:hover{
    color: #fff;
}

.moreP::before, .moreP::after {
    content: "";
    position: absolute;
    top: 50%;
    width: 6.5rem; /* 根据需要调整宽度 */
    height: 1px; /* 根据需要调整高度 */
    background-image: linear-gradient(to right, rgba(153,153,153,0.5) 50%, rgba(153,153,153,0) 0%);
    background-position: center;
    background-size: 6px 1px; /* 虚线的宽度和间隔 */
    background-repeat: repeat-x;
}
.moreP::before {
    left: -6.7rem; /* 根据需要调整位置 */
}

.moreP::after {
    right: -7.2rem; /* 根据需要调整位置 */
    width: 7rem;
}


@media (max-width: 750px) {
    .container,.collections{padding: 0.7rem 0;}
    .collections-item{width: 100%;margin-right: 0;margin-bottom: 0.5rem;}
    .collections-item:last-child{margin-bottom: 0;}
    .collections-title-a{font-size: 0.28rem;}
    /* .collections-title-b{font-size: 0.58rem;} */
    .container-content-title-b{font-size: 0.24rem;}
    .container-content-title-a{font-size: 0.3rem;}
    /* .layui-inline{width: 49% !important;margin-right: 2% !important;}
    .layui-inline:nth-child(2n){margin-right: 0 !important;}
    .layui-form-item{flex-wrap: wrap;} */
    .container-content-btn{height: 0.7rem;width: 100% !important;}
    .layui-inline{display:flex;flex-direction:column;}
    .collections-item-img{height: 7rem;}
    .banner-title{top: 50%;transform: translateY(-50%);}
    .colour-on::after{top:40%;left:1px}
    .moreP{width: 2.5rem;left: 32%;}
    .moreP::before, .moreP::after {width: 2rem;}
    .moreP::before {left: -2rem;}
    .moreP::after {right: -2rem; }
}
